/*
 *	File:	lcd_2x16.h
 *	Date:	08.01.2011
 */

#ifndef LCD_2X16_H_
#define LCD_2X16_H_

#define LCD_2X16_RS		B, 10, HIGH, GENERAL_OUTPUT_OPEN_DRAIN, SPEED_10MHZ
#define LCD_2X16_E		B, 11, HIGH, GENERAL_OUTPUT_OPEN_DRAIN, SPEED_10MHZ
#define LCD_2X16_DB4	B, 12, HIGH, GENERAL_OUTPUT_OPEN_DRAIN, SPEED_10MHZ
#define LCD_2X16_DB5	B, 13, HIGH, GENERAL_OUTPUT_OPEN_DRAIN, SPEED_10MHZ
#define LCD_2X16_DB6	B, 14, HIGH, GENERAL_OUTPUT_OPEN_DRAIN, SPEED_10MHZ
#define LCD_2X16_DB7	B, 15, HIGH, GENERAL_OUTPUT_OPEN_DRAIN, SPEED_10MHZ

extern void lcd_2x16_init(void);
extern void lcd_2x16_set_position(uint8_t row, uint8_t colum);
extern void lcd_2x16_print_char(uint8_t data);
extern void lcd_2x16_print_string(uint8_t * string);
void lcd_2x16_print_hex_xx(uint8_t data);
void lcd_2x16_print_dec_xxx(uint8_t data);
void lcd_2x16_print_dec_xx(uint8_t data);

extern const uint8_t lcd_2x16_decode[];

#endif /* LCD_2X16_H_ */
